package com.laihua.projecthelper.util

import java.io.File

/**
 * Author: pengjunjing
 * Date: 2023/3/2
 * Description:
 */
class FileExt {
}

/**
 * 获取所有文件,包括子文件的子文件,(包含最深度的文件)
 */
fun getAllFilesIncludeSub(path: String): List<File> {
    val directory = File(path)
    val files = mutableListOf<File>()
    if (directory.exists() && directory.isDirectory) {
        directory.listFiles()?.forEach { file ->
            if (file.isFile) {
                files.add(file)
            } else {
                files.addAll(getAllFilesIncludeSub(file.absolutePath))
            }
        }
    }
    return files
}

///**
// * 获取所有文件,包括子文件的子文件,(包含最深度的文件)
// */
//fun File.getAllFilesIncludeSub(): List<File> {
//    if (this.isFile) {
//        throw IllegalArgumentException()
//    }
//    val directory = this
//    val files = mutableListOf<File>()
//    if (directory.exists() && directory.isDirectory) {
//        directory.listFiles()?.forEach { file ->
//            if (file.isFile) {
//                files.add(file)
//            } else {
//                files.addAll(file.getAllFilesIncludeSub())
//            }
//        }
//    }
//    return files
//}